//
//  GSPath+PenDrawing.h
//  GlyphsCore
//
//  Created by Georg Seifert on 07.05.17.
//  Copyright © 2017 schriftgestaltung.de. All rights reserved.
//

#import <GlyphsCore/GSPath.h>
#import <GlyphsCore/GSPenProtocol.h>

@class GSHint;

@interface GSPath (PenDrawing)

/**
 Draws the path using a pen conforming to the GSPenProtocol
 
 @param pen A pen conforming to the GSPenProtocol
 */

- (BOOL)decomposeCorner:(GSHint *_Nonnull)corner;

- (GSPath *_Nonnull)convertSpecialToBezier;

- (NSPoint)positionAtIndex:(NSUInteger)Index;

@end
